!```````````````````````````````````````````````````````````````````
module manage_NetCDF_classic_rv_mod

implicit none

private

interface mNc_read_var
   module procedure mNc_read_var_i1_0d, mNc_read_var_c_0d,  &
        mNc_read_var_i2_0d, mNc_read_var_i4_0d, mNc_read_var_f4_0d,  &
        mNc_read_var_f8_0d
   module procedure mNc_read_var_i1_1d, mNc_read_var_c_1d,  &
        mNc_read_var_i2_1d, mNc_read_var_i4_1d, mNc_read_var_f4_1d,  &
        mNc_read_var_f8_1d
   module procedure mNc_read_var_i1_2d, mNc_read_var_c_2d,  &
        mNc_read_var_i2_2d, mNc_read_var_i4_2d, mNc_read_var_f4_2d,  &
        mNc_read_var_f8_2d
   module procedure mNc_read_var_i1_3d, mNc_read_var_c_3d,  &
        mNc_read_var_i2_3d, mNc_read_var_i4_3d, mNc_read_var_f4_3d,  &
        mNc_read_var_f8_3d
   module procedure mNc_read_var_i1_4d, mNc_read_var_c_4d,  &
        mNc_read_var_i2_4d, mNc_read_var_i4_4d, mNc_read_var_f4_4d,  &
        mNc_read_var_f8_4d
   module procedure mNc_read_var_i1_5d, mNc_read_var_c_5d,  &
        mNc_read_var_i2_5d, mNc_read_var_i4_5d, mNc_read_var_f4_5d,  &
        mNc_read_var_f8_5d
   module procedure mNc_read_var_i1_6d, mNc_read_var_c_6d,  &
        mNc_read_var_i2_6d, mNc_read_var_i4_6d, mNc_read_var_f4_6d,  &
        mNc_read_var_f8_6d
   module procedure mNc_read_var_i1_7d, mNc_read_var_c_7d,  &
        mNc_read_var_i2_7d, mNc_read_var_i4_7d, mNc_read_var_f4_7d,  &
        mNc_read_var_f8_7d
end interface

public :: mNc_read_var


contains


include 'manage_NetCDF_classic.F90.inc02'

include 'manage_NetCDF_classic.F90.inc03'


end module manage_NetCDF_classic_rv_mod
