!```````````````````````````````````````````````````````````````````
module univ_get_dc_from_pc_mod

!+ Contains routines related to extracting data coordinates (dc) from plot
!  coordinates (pc).

implicit none

interface get_dc_from_pc_linear
   module procedure get_dc_from_pc_linear_f4, get_dc_from_pc_linear_f8
end interface

interface get_dc_from_pc_log10
   module procedure get_dc_from_pc_log10_f4, get_dc_from_pc_log10_f8
end interface


contains


include 'univ_get_dc_from_pc.f90.inc01'


end module univ_get_dc_from_pc_mod
