!```````````````````````````````````````````````````````````````````
module univ_num_sort_mod

!+ Contains routines related to sorting numeric arrays

implicit none

interface insertion_sort
   module procedure insertion_sort_f4i4, insertion_sort_f4i8,  &
        insertion_sort_f8i4, insertion_sort_f8i8, insertion_sort_i1i4,  &
        insertion_sort_i1i8, insertion_sort_i2i4, insertion_sort_i2i8,  &
        insertion_sort_i4i4, insertion_sort_i4i8, insertion_sort_i8i4,  &
        insertion_sort_i8i8
end interface

interface qi_sort
   module procedure qi_sort_f4i4, qi_sort_f4i8, qi_sort_f8i4, qi_sort_f8i8,  &
        qi_sort_i1i4, qi_sort_i1i8, qi_sort_i2i4, qi_sort_i2i8, qi_sort_i4i4,  &
        qi_sort_i4i8, qi_sort_i8i4, qi_sort_i8i8
end interface


contains


include 'univ_num_sort.f90.inc01'


end module univ_num_sort_mod
