!```````````````````````````````````````````````````````````````````
module read_Xendian_data_gf_mod

!+

!~ 19.02.2012 (last modified; TIM)

implicit none

private

interface read_be_data_stream
   module procedure read_be_stream_i1_0d, read_be_stream_i1_1d,  &
        read_be_stream_i1_2d, read_be_stream_i1_3d, read_be_stream_i1_4d,  &
        read_be_stream_i1_5d, read_be_stream_i1_6d, read_be_stream_i1_7d
   module procedure read_be_stream_c_0d, read_be_stream_c_1d,  &
        read_be_stream_c_2d, read_be_stream_c_3d, read_be_stream_c_4d,  &
        read_be_stream_c_5d, read_be_stream_c_6d, read_be_stream_c_7d
   module procedure read_be_stream_i2_0d, read_be_stream_i2_1d,  &
        read_be_stream_i2_2d, read_be_stream_i2_3d, read_be_stream_i2_4d,  &
        read_be_stream_i2_5d, read_be_stream_i2_6d, read_be_stream_i2_7d
   module procedure read_be_stream_i4_0d, read_be_stream_i4_1d,  &
        read_be_stream_i4_2d, read_be_stream_i4_3d, read_be_stream_i4_4d,  &
        read_be_stream_i4_5d, read_be_stream_i4_6d, read_be_stream_i4_7d
   module procedure read_be_stream_i8_0d, read_be_stream_i8_1d,  &
        read_be_stream_i8_2d, read_be_stream_i8_3d, read_be_stream_i8_4d,  &
        read_be_stream_i8_5d, read_be_stream_i8_6d, read_be_stream_i8_7d
   module procedure read_be_stream_f4_0d, read_be_stream_f4_1d,  &
        read_be_stream_f4_2d, read_be_stream_f4_3d, read_be_stream_f4_4d,  &
        read_be_stream_f4_5d, read_be_stream_f4_6d, read_be_stream_f4_7d
   module procedure read_be_stream_f8_0d, read_be_stream_f8_1d,  &
        read_be_stream_f8_2d, read_be_stream_f8_3d, read_be_stream_f8_4d,  &
        read_be_stream_f8_5d, read_be_stream_f8_6d, read_be_stream_f8_7d
   module procedure read_be_stream_b_0d, read_be_stream_b_1d,  &
        read_be_stream_b_2d, read_be_stream_b_3d, read_be_stream_b_4d,  &
        read_be_stream_b_5d, read_be_stream_b_6d, read_be_stream_b_7d
end interface read_be_data_stream

interface read_le_data_stream
   module procedure read_le_stream_i1_0d, read_le_stream_i1_1d,  &
        read_le_stream_i1_2d, read_le_stream_i1_3d, read_le_stream_i1_4d,  &
        read_le_stream_i1_5d, read_le_stream_i1_6d, read_le_stream_i1_7d
   module procedure read_le_stream_c_0d, read_le_stream_c_1d,  &
        read_le_stream_c_2d, read_le_stream_c_3d, read_le_stream_c_4d,  &
        read_le_stream_c_5d, read_le_stream_c_6d, read_le_stream_c_7d
   module procedure read_le_stream_i2_0d, read_le_stream_i2_1d,  &
        read_le_stream_i2_2d, read_le_stream_i2_3d, read_le_stream_i2_4d,  &
        read_le_stream_i2_5d, read_le_stream_i2_6d, read_le_stream_i2_7d
   module procedure read_le_stream_i4_0d, read_le_stream_i4_1d,  &
        read_le_stream_i4_2d, read_le_stream_i4_3d, read_le_stream_i4_4d,  &
        read_le_stream_i4_5d, read_le_stream_i4_6d, read_le_stream_i4_7d
   module procedure read_le_stream_i8_0d, read_le_stream_i8_1d,  &
        read_le_stream_i8_2d, read_le_stream_i8_3d, read_le_stream_i8_4d,  &
        read_le_stream_i8_5d, read_le_stream_i8_6d, read_le_stream_i8_7d
   module procedure read_le_stream_f4_0d, read_le_stream_f4_1d,  &
        read_le_stream_f4_2d, read_le_stream_f4_3d, read_le_stream_f4_4d,  &
        read_le_stream_f4_5d, read_le_stream_f4_6d, read_le_stream_f4_7d
   module procedure read_le_stream_f8_0d, read_le_stream_f8_1d,  &
        read_le_stream_f8_2d, read_le_stream_f8_3d, read_le_stream_f8_4d,  &
        read_le_stream_f8_5d, read_le_stream_f8_6d, read_le_stream_f8_7d
   module procedure read_le_stream_b_0d, read_le_stream_b_1d,  &
        read_le_stream_b_2d, read_le_stream_b_3d, read_le_stream_b_4d,  &
        read_le_stream_b_5d, read_le_stream_b_6d, read_le_stream_b_7d
end interface read_le_data_stream

public :: read_be_data_stream, read_le_data_stream


contains


include "read_Xendian_data-gfortran.f90.inc01"


end module read_Xendian_data_gf_mod
