!```````````````````````````````````````````````````````````````````
module univ_KramersKronig_mod

!+ Contains routines which use Kramers-Kronig relations.

implicit none

interface Re_via_KK
   module procedure Re_via_KK_f4, Re_via_KK_f8
end interface

interface Im_via_KK
   module procedure Im_via_KK_f4, Im_via_KK_f8
end interface

interface Re_via_SSKK
   module procedure Re_via_SSKK_f4, Re_via_SSKK_f8
end interface

interface Im_via_SSKK
   module procedure Im_via_SSKK_f4, Im_via_SSKK_f8
end interface

interface self_consistent_KK_est
   module procedure self_consistent_KK_est_f4, self_consistent_KK_est_f8
end interface


contains


include 'univ_KramersKronig.f90.inc01'


end module univ_KramersKronig_mod
